Subject: Re: About unification

From: Jan Wielemaker <[email-masked]>
Date: Thu, 23 Nov 2000 09:46:35 +0100

> Note that it's the same in Scheme and Lisp: (- 3) is an arithmetic
> expression that negates a 3 at run time, but -3 is a simple negative number.

That I think is the misleading thing.  In functional languages they may
be different terms too, but they usually evaluate to the same thing, so
the naive user doesn't notice.

Lack of functions in standard Prolog is sometimes advantagous, sometimes
not but almost invariably confusing to novice users.

	Cheers --- Jan